## kf6-kcoreaddons 6.16.0

=== debian/changelog ===
kf6-kcoreaddons (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:40:53 +0100

kf6-kcoreaddons (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * debian/rules: Do not build python bindings.
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:31:57 +0100

kf6-kcoreaddons (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Update -dev package install file.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:56:27 +0100

kf6-kcoreaddons (6.12.0-0ubuntu2) questing; urgency=medium

  * Rebuild against updated Qt on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Thu, 08 May 2025 11:10:06 +0100

=== debian/control ===
Source: kf6-kcoreaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.16.0~),
               libudev-dev [linux-any],
               qt6-base-dev (>= 6.8.3+dfsg-0ubuntu3~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               shared-mime-info (>= 1.8~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcoreaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcoreaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcoreaddons
Rules-Requires-Root: no

Package: libkf6coreaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE Frameworks 6 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the arch independent files for KCoreAddons.

Package: libkf6coreaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons6 (= ${binary:Version}),
         qml6-module-org-kde-coreaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6coreaddons-doc (= ${source:Version}),
Description: KDE Frameworks 6 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for KCoreAddons.

Package: libkf6coreaddons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE Frameworks 6 addons to QtCore (documentation)
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6coreaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-data (= ${source:Version}),
         shared-mime-info (>= 1.8~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Frameworks 6 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.

Package: qml6-module-org-kde-coreaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: KDE Frameworks 6 addons to QtCore (QML module)
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML module for kcoreaddons.

## kf6-kcoreaddons 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
project(KCoreAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.17.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePkgConfigFile)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupQtPluginMacroNames)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(ENABLE_PCH "Enable precompile headers for faster builds" ON)
option(KCOREADDONS_USE_QML "Build the QML plugin" ON)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)
if (KCOREADDONS_USE_QML)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Network)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG OPTIONAL_COMPONENTS QuickTest)
    include(ECMQmlModule)
endif()

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        "K_PLUGIN_FACTORY"
        "K_PLUGIN_CLASS"
    JSON_ARG2
        "K_PLUGIN_FACTORY_WITH_JSON"
        "K_PLUGIN_CLASS_WITH_JSON"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

if(NOT WIN32)
    find_package(Threads REQUIRED)
endif()

# Configure checks for kdirwatch
option(ENABLE_INOTIFY "Try to use inotify for directory monitoring" ON)
if(ENABLE_INOTIFY)
    # Find libinotify
    find_package(Inotify)
    set_package_properties(Inotify PROPERTIES
        PURPOSE "Filesystem alteration notifications using inotify")
    set(HAVE_SYS_INOTIFY_H ${Inotify_FOUND})
    # If we're using libinotify-kqueue, check for the direct mode support
    if(Inotify_FOUND)
        set(CMAKE_REQUIRED_INCLUDES ${Inotify_INCLUDE_DIRS})
        set(CMAKE_REQUIRED_LIBRARIES Inotify::Inotify)
        check_symbol_exists(libinotify_direct_readv "sys/inotify.h" HAVE_INOTIFY_DIRECT_READV)
    endif()
else()
    set(HAVE_SYS_INOTIFY_H FALSE)
endif()

set(HAVE_PROCSTAT FALSE)
string(REGEX MATCH "[Bb][Ss][Dd]" BSDLIKE ${CMAKE_SYSTEM_NAME})
if (BSDLIKE)
    option(ENABLE_PROCSTAT "Try to use libprocstat for process information (for BSD-like systems)" ON)
    if (ENABLE_PROCSTAT)
        # Find libprocstat
        find_package(Procstat)
        set_package_properties(Procstat PROPERTIES
            PURPOSE "Process information using libprocstat")
        set(HAVE_PROCSTAT ${PROCSTAT_FOUND})
    endif()
    if (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
        set_package_properties(Procstat PROPERTIES
            TYPE REQUIRED
        )
    endif()
endif()

option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

# Only Linux and FreeBSD CI has the relevant packages
if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
    set(BUILD_PYTHON_BINDINGS OFF)
endif()

if (BUILD_PYTHON_BINDINGS)
    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
    find_package(Shiboken6 REQUIRED)
    find_package(PySide6 REQUIRED)
endif()

add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
    add_feature_info(XDGPortalDragAndDrop HAVE_QTDBUS "Drag and Drop support via xdg-desktop-portal requies QtDBus")
endif()

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    find_package(UDev) # Used by KFilesystemType
    set(HAVE_UDEV ${UDev_FOUND})
endif()

configure_file(src/lib/io/config-kdirwatch.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/lib/io/config-kdirwatch.h)

configure_file(src/lib/io/config-kfilesystemtype.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/lib/io/config-kfilesystemtype.h)

include(ECMPoQmTools)

set(kcoreaddons_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/lib/kcoreaddons_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
    VERSION_HEADER "${kcoreaddons_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6CoreAddonsConfigVersion.cmake"
    SOVERSION 6
)


ecm_install_po_files_as_qm(poqm)

kde_enable_exceptions()


ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

add_subdirectory(src)

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6CoreAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6CoreAddonsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6CoreAddonsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6CoreAddonsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6CoreAddonsConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6CoreAddonsMacros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6CoreAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6CoreAddonsTargets.cmake NAMESPACE KF6::)

install(FILES ${kcoreaddons_version_header} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCoreAddons COMPONENT Devel)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6CoreAddons
        INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KCoreAddons
        DEPS Qt6Core
        INSTALL
    )
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
set(KCOREADDONS_INTERNAL_SKIP_PLUGIN_INSTALLATION ON)
add_definitions(-DQT_FORCE_ASSERTS=1)

include(ECMAddTests)
include(ConfigureChecks.cmake) # configure checks for QFileSystemWatcher
include(../KF6CoreAddonsMacros.cmake)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt6::Test)
    message(STATUS "QtTest not found, autotests will not be built.")
    return()
endif()

if(NOT CMAKE_BUILD_TYPE MATCHES "[Dd]ebug$")
    set(ENABLE_BENCHMARKS 1)
endif()

add_library(autotests_static STATIC)
# Needed to link this static lib to shared libs
set_property(TARGET autotests_static PROPERTY POSITION_INDEPENDENT_CODE ON)
ecm_qt_declare_logging_category(autotests_static
    HEADER kcoreaddons_debug.h
    IDENTIFIER KCOREADDONS_DEBUG
    CATEGORY_NAME kf.coreaddons
)
target_link_libraries(autotests_static Qt6::Core)

if(ENABLE_PCH)
    if (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/pch.cpp)
        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pch.cpp "/*empty file*/")
    endif()
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pch_tmp.h
        "#pragma once\n"
        "#include <QObject>\n"
        "#include <QTest>\n"
        "#include <QString>\n"
        "#include <QDateTime>\n"
    )
    # avoid rebuilding if there was no change
    execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_BINARY_DIR}/pch_tmp.h" "${CMAKE_CURRENT_BINARY_DIR}/pch.h")

    add_library(tests_pch STATIC ${CMAKE_CURRENT_BINARY_DIR}/pch.cpp)
    target_link_libraries(tests_pch Qt6::Core Qt6::Test)
    target_precompile_headers(tests_pch PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/pch.h)
endif()


configure_file(config-tests.h.in config-tests.h)

add_subdirectory(plugin)

macro(add_unit_test testname)
    ecm_add_test(${testname}.cpp ${ARGN}
        TEST_NAME ${testname}
        LINK_LIBRARIES Qt6::Test KF6::CoreAddons autotests_static)
    if(ENABLE_PCH)
        target_precompile_headers(${testname} REUSE_FROM tests_pch)
    endif()
endmacro()

add_unit_test(kaboutdatatest)
add_unit_test(kaboutdataapplicationdatatest)
add_unit_test(kautosavefiletest)
add_unit_test(kcompositejobtest)
add_unit_test(kformattest)
add_unit_test(kjobtest)
add_unit_test(kosreleasetest)
add_unit_test(krandomtest)
add_unit_test(kshareddatacachetest)
add_unit_test(kshelltest)
add_unit_test(kurlmimedatatest)
add_unit_test(kstringhandlertest)
add_unit_test(kmacroexpandertest)
add_unit_test(kusertest)
add_unit_test(kprocesslisttest)
add_unit_test(kfileutilstest)
add_unit_test(kfuzzymatchertest)
add_unit_test(knetworkmountstestcanonical)
add_unit_test(knetworkmountstestnoconfig)
add_unit_test(knetworkmountstestpaths)
add_unit_test(knetworkmountsteststatic)
add_unit_test(klibexectest)
add_unit_test(kmemoryinfotest)
add_unit_test(kruntimeplatformtest)
if (WIN32)
    add_unit_test(klistopenfilesjobtest_win)
endif ()
if (UNIX)
    add_unit_test(klistopenfilesjobtest_unix)
endif ()

if(NOT IOS)
    add_unit_test(kprocesstest)
endif()

if(TARGET klistopenfilesjobtest_unix AND CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    find_package(Qt6Network ${REQUIRED_QT_VERSION} CONFIG QUIET)
    target_link_libraries(klistopenfilesjobtest_unix Qt6::Network)
endif()

add_library(ktexttohtmlteststatic STATIC ${CMAKE_SOURCE_DIR}/src/lib/text/ktexttohtml.cpp ${CMAKE_SOURCE_DIR}/src/lib/text/kemoticonsparser.cpp)
# include the binary dir in order to get kcoreaddons_export.h
target_include_directories(ktexttohtmlteststatic PUBLIC ${KCoreAddons_BINARY_DIR}/src/lib)
# fake static linking to prevent the export macros on Windows from kicking in
target_compile_definitions(ktexttohtmlteststatic PUBLIC -DKCOREADDONS_STATIC_DEFINE=1)
target_link_libraries(ktexttohtmlteststatic PUBLIC Qt6::Test autotests_static)
ecm_add_test(ktexttohtmltest.cpp
    TEST_NAME ktexttohtmltest
    LINK_LIBRARIES ktexttohtmlteststatic
)

add_executable(ktexttohtmlbenchmarktest ktexttohtmlbenchmarktest.cpp ${CMAKE_SOURCE_DIR}/src/lib/text/ktexttohtml.cpp ${CMAKE_SOURCE_DIR}/src/lib/text/kemoticonsparser.cpp)
target_link_libraries(ktexttohtmlbenchmarktest PUBLIC ktexttohtmlteststatic)

if(NOT IOS)
    add_executable(kprocesstest_helper kprocesstest_helper.cpp)
    target_link_libraries(kprocesstest_helper KF6::CoreAddons)
endif()

set(KDIRWATCH_BACKENDS_TO_TEST Stat) #Stat is always compiled

if (HAVE_SYS_INOTIFY_H)
    list(APPEND KDIRWATCH_BACKENDS_TO_TEST INotify)
endif()

if (HAVE_QFILESYSTEMWATCHER)
    list(APPEND KDIRWATCH_BACKENDS_TO_TEST QFSWatch)
endif()

foreach(_backendName ${KDIRWATCH_BACKENDS_TO_TEST})
    string(TOLOWER ${_backendName} _lowercaseBackendName)
    set(BACKEND_TEST_TARGET kdirwatch_${_lowercaseBackendName}_unittest)
    set(BACKEND_BENCHMARK_TARGET kdirwatch_${_lowercaseBackendName}_benchmarktest)
    add_executable(${BACKEND_TEST_TARGET} kdirwatch_unittest.cpp)
    target_link_libraries(${BACKEND_TEST_TARGET} Qt6::Test KF6::CoreAddons autotests_static)

    if(NOT WIN32)
        target_link_libraries(${BACKEND_TEST_TARGET} Threads::Threads)
    endif()

    ecm_mark_as_test(${BACKEND_TEST_TARGET})
    add_test(NAME ${BACKEND_TEST_TARGET} COMMAND ${BACKEND_TEST_TARGET})
    target_compile_definitions(${BACKEND_TEST_TARGET} PUBLIC -DKDIRWATCH_TEST_METHOD=\"${_backendName}\")

    add_executable(${BACKEND_BENCHMARK_TARGET} kdirwatch_benchmarktest.cpp)
    target_compile_definitions(${BACKEND_BENCHMARK_TARGET} PUBLIC -DKDIRWATCH_TEST_METHOD=\"${_backendName}\")
    target_link_libraries(${BACKEND_BENCHMARK_TARGET} Qt6::Test KF6::CoreAddons autotests_static)
    if(NOT WIN32)
        target_link_libraries(${BACKEND_BENCHMARK_TARGET} Threads::Threads)
    endif()

    if(ENABLE_PCH AND NOT WIN32)
        target_precompile_headers(${BACKEND_TEST_TARGET} REUSE_FROM tests_pch)
        target_precompile_headers(${BACKEND_BENCHMARK_TARGET} REUSE_FROM tests_pch)
    endif()

endforeach()

if (NOT TARGET Qt6::QuickTest)
    message(STATUS "Qt6QuickTest not found, autotests for QML bindings will not be built.")
    return()
endif()

add_executable(kformatqmltest kformatqmltest.cpp)
target_link_libraries(kformatqmltest PRIVATE Qt6::QuickTest Qt6::Qml)
set(_qmltest_args "")
if (BUILD_SHARED_LIBS)
    set(_qmltest_args -platform offscreen)
else()
    target_link_libraries(kformatqmltest PRIVATE KF6CoreAddons kcoreaddonsplugin)
    qt6_import_qml_plugins(kformatqmltest)

    # doesn't actually work at this point as the hybrid declarative/imperative QML plugin here
    # will only register the imperative types in a static build...
    return()
endif()
add_test(NAME kformatqmltest COMMAND kformatqmltest ${_qmltest_args} -input kformatqmltest.qml WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

=== src/qml/CMakeLists.txt ===
ecm_add_qml_module(kcoreaddonsplugin URI org.kde.coreaddons CLASS_NAME KCoreAddonsPlugin VERSION 1.0 INSTALLED_PLUGIN_TARGET KF6::kcoreaddonsplugin)
target_sources(kcoreaddonsplugin PRIVATE
    formats.cpp
    formats.h
    kcoreaddonsplugin.cpp
    kuserproxy.cpp
    kuserproxy.h
    kosreleaseproxy.cpp
)
target_link_libraries(kcoreaddonsplugin PRIVATE
    Qt6::Core
    Qt6::Qml
    Qt6::Network
    KF6::CoreAddons
)

ecm_finalize_qml_module(kcoreaddonsplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KF6CoreAddonsTargets)

ecm_generate_qdoc(kcoreaddonsplugin kcoreaddonsqml.qdocconf)

=== debian/changelog ===
kf6-kcoreaddons (6.17.0-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 11:53:17 +0200

kf6-kcoreaddons (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:14:11 +0100

kcoreaddons (5.1~tux1.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.1~tux1.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libudev-dev [linux-any],
-               qt6-base-dev (>= 6.8.3+dfsg-0ubuntu3~),
+               qt6-base-dev (>= 6.8.2~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                shared-mime-info (>= 1.8~),

## kf6-kcoreaddons 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 project(KCoreAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0 NO_MODULE)
+find_package(ECM 6.18.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -40,10 +40,9 @@
 endif()
 
 ecm_setup_qtplugin_macro_names(
-    JSON_NONE
+    MACRO_NAMES
         "K_PLUGIN_FACTORY"
         "K_PLUGIN_CLASS"
-    JSON_ARG2
         "K_PLUGIN_FACTORY_WITH_JSON"
         "K_PLUGIN_CLASS_WITH_JSON"
     CONFIG_CODE_VARIABLE

=== src/mimetypes/CMakeLists.txt ===
# always install the mime-types
install(FILES kde6.xml DESTINATION ${KDE_INSTALL_MIMEDIR})

find_package(SharedMimeInfo 2.1)
set_package_properties(SharedMimeInfo PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Allows KDE applications to determine file types"
)

# update XDG mime-types if shared mime info is around
if(SharedMimeInfo_FOUND)
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

=== src/qml/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
     kuserproxy.cpp
     kuserproxy.h
     kosreleaseproxy.cpp
+    types.h
 )
 target_link_libraries(kcoreaddonsplugin PRIVATE
     Qt6::Core

=== debian/changelog ===
kf6-kcoreaddons (6.18.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Oct 2025 19:19:57 +0200

kf6-kcoreaddons (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Do not build Python-bindings.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: kf6-kcoreaddons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
                libudev-dev [linux-any],
-               qt6-base-dev (>= 6.8.2~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev,
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-               shared-mime-info (>= 1.8~),
-Standards-Version: 4.7.0
+               shared-mime-info (>= 2.1~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcoreaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcoreaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcoreaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcoreaddons.git
 Rules-Requires-Root: no
 
 Package: libkf6coreaddons-data
@@ -43,7 +45,7 @@
 Multi-Arch: same
 Depends: libkf6coreaddons6 (= ${binary:Version}),
          qml6-module-org-kde-coreaddons (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6coreaddons-doc (= ${source:Version}),
 Description: KDE Frameworks 6 addons to QtCore - development files
@@ -75,7 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-data (= ${source:Version}),
-         shared-mime-info (>= 1.8~),
+         shared-mime-info (>= 2.1~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KDE Frameworks 6 addons to QtCore
@@ -89,7 +91,9 @@
 Package: qml6-module-org-kde-coreaddons
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: KDE Frameworks 6 addons to QtCore (QML module)
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_PYTHON_BINDINGS=OFF

override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kcoreaddons-(.*)\.tar\.xz

## kf6-kcoreaddons 6.18.0+p24.04+vstable+git20250928.0544

=== debian/changelog ===
kf6-kcoreaddons (6.18.0+p24.04+vstable+git20250928.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:44:23 +0000

kf6-kcoreaddons (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:39:17 +0000

kf6-kcoreaddons (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:12:52 +0000

kf6-kcoreaddons (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:11:11 +0000

kf6-kcoreaddons (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:42:07 +0000

kf6-kcoreaddons (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:29:36 +0000

kf6-kcoreaddons (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:54:39 +0000

kf6-kcoreaddons (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:54:29 +0000

kf6-kcoreaddons (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:21:43 +0000

kf6-kcoreaddons (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:37:57 +0000

kf6-kcoreaddons (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:23:06 +0000

kf6-kcoreaddons (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:25:25 +0000

kf6-kcoreaddons (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:21:15 +0000

kf6-kcoreaddons (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:22:11 +0000

kf6-kcoreaddons (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:21:31 +0000

kf6-kcoreaddons (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:38:35 +0000

kf6-kcoreaddons (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:28:20 +1000

kf6-kcoreaddons (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:52:20 +0000

kf6-kcoreaddons (6.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:16:10 +0000

kf6-kcoreaddons (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kcoreaddons (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kcoreaddons 6.18.0+p24.04+vstable+git20251005.1419

=== debian/changelog ===
kf6-kcoreaddons (6.18.0+p24.04+vstable+git20251005.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 14:19:41 +0000

## kf6-kcoreaddons 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(KCoreAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0 NO_MODULE)
+find_package(ECM 6.19.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/plugin/CMakeLists.txt ===
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS Widgets)
if (NOT TARGET Qt6::Widgets)
    return()
endif()

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6CorePrivate ${Qt6_VERSION} EXACT CONFIG REQUIRED)
endif()

add_library(plugin_classes plugins.cpp)
generate_export_header(plugin_classes)

kcoreaddons_add_plugin(jsonplugin_cmake_macro SOURCES kpluginclass.cpp INSTALL_NAMESPACE "namespace")
ecm_mark_as_test(jsonplugin_cmake_macro)
target_link_libraries(jsonplugin_cmake_macro KF6::CoreAddons autotests_static plugin_classes)
target_link_libraries(plugin_classes Qt6::Core)

kcoreaddons_add_plugin(qtplugin SOURCES qtplugin.cpp INSTALL_NAMESPACE "namespace")
ecm_mark_as_test(qtplugin)
target_link_libraries(qtplugin KF6::CoreAddons autotests_static)

kcoreaddons_add_plugin(pluginwithoutmetadata SOURCES pluginwithoutmetadata.cpp INSTALL_NAMESPACE "namespace")
ecm_mark_as_test(pluginwithoutmetadata)
target_link_libraries(pluginwithoutmetadata KF6::CoreAddons autotests_static)

kcoreaddons_add_plugin(widgetsplugin SOURCES widgetsplugin.cpp INSTALL_NAMESPACE "widgets")
ecm_mark_as_test(widgetsplugin)
target_link_libraries(widgetsplugin KF6::CoreAddons Qt6::Widgets)

add_library(org.kde.test MODULE qtplugin.cpp)
target_link_libraries(org.kde.test KF6::CoreAddons)


ecm_add_tests(
    kpluginmetadatatest.cpp
    kpluginfactorytest.cpp
    ${autotests_OPTIONAL_SRCS}
    LINK_LIBRARIES Qt6::Test Qt6::Widgets KF6::CoreAddons autotests_static
)
target_link_libraries(kpluginmetadatatest Qt6::CorePrivate)
if (NOT WIN32)
    target_link_libraries(kpluginfactorytest plugin_classes)
endif()

kcoreaddons_add_plugin(static_jsonplugin_cmake_macro SOURCES statickpluginclass.cpp INSTALL_NAMESPACE "staticnamespace" STATIC)
target_link_libraries(static_jsonplugin_cmake_macro KF6::CoreAddons autotests_static)

kcoreaddons_add_plugin(static_jsonplugin_cmake_macro_2 SOURCES statickpluginclass_2.cpp INSTALL_NAMESPACE "staticnamespace2" STATIC)
target_link_libraries(static_jsonplugin_cmake_macro_2 KF6::CoreAddons autotests_static)

kcoreaddons_add_plugin(static_plugin_without_metadata SOURCES staticpluginwithoutmetadata.cpp INSTALL_NAMESPACE "staticnamespace3" STATIC)
target_link_libraries(static_plugin_without_metadata KF6::CoreAddons autotests_static)

kcoreaddons_add_plugin(org.kde.test-staticplugin SOURCES statickpluginclass_3.cpp INSTALL_NAMESPACE "rdnstatic" STATIC)
target_link_libraries(org.kde.test-staticplugin KF6::CoreAddons autotests_static)

kcoreaddons_target_static_plugins(kpluginfactorytest NAMESPACE "staticnamespace")
kcoreaddons_target_static_plugins(kpluginfactorytest NAMESPACE "staticnamespace2")
kcoreaddons_target_static_plugins(kpluginmetadatatest NAMESPACE "staticnamespace")
kcoreaddons_target_static_plugins(kpluginmetadatatest NAMESPACE "staticnamespace2")
kcoreaddons_target_static_plugins(kpluginmetadatatest NAMESPACE "rdnstatic")
# Make the last one use the target by targets list instead of namespace
kcoreaddons_target_static_plugins(kpluginmetadatatest TARGETS static_plugin_without_metadata)

=== debian/changelog ===
kf6-kcoreaddons (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: kf6-kcoreaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                libudev-dev [linux-any],
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev,
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.8.3+dfsg-0ubuntu3~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               shared-mime-info (>= 2.1~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.2
+               shared-mime-info (>= 1.8~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcoreaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcoreaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcoreaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcoreaddons
 Rules-Requires-Root: no
 
 Package: libkf6coreaddons-data
@@ -45,7 +43,7 @@
 Multi-Arch: same
 Depends: libkf6coreaddons6 (= ${binary:Version}),
          qml6-module-org-kde-coreaddons (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6coreaddons-doc (= ${source:Version}),
 Description: KDE Frameworks 6 addons to QtCore - development files
@@ -77,7 +75,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-data (= ${source:Version}),
-         shared-mime-info (>= 2.1~),
+         shared-mime-info (>= 1.8~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KDE Frameworks 6 addons to QtCore
@@ -91,9 +89,7 @@
 Package: qml6-module-org-kde-coreaddons
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: KDE Frameworks 6 addons to QtCore (QML module)
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF -DBUILD_PYTHON_BINDINGS=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kf6-kcoreaddons 6.19.0+p24.04+vstable+git20251011.0850

=== debian/changelog ===
kf6-kcoreaddons (6.19.0+p24.04+vstable+git20251011.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:50:30 +0000

kf6-kcoreaddons (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:52:20 +0000

## kf6-kcoreaddons 6.19.0+p24.04+vstable+git20251015.0743

=== debian/changelog ===
kf6-kcoreaddons (6.19.0+p24.04+vstable+git20251015.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:43:35 +0000

## kf6-kcoreaddons 6.19.0+p24.04+vstable+git20251024.0103

=== debian/changelog ===
kf6-kcoreaddons (6.19.0+p24.04+vstable+git20251024.0103-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:03:36 +0000

## kf6-kcoreaddons 6.19.0+p24.04+vstable+git20251028.0743

=== debian/changelog ===
kf6-kcoreaddons (6.19.0+p24.04+vstable+git20251028.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 07:43:58 +0000

## kf6-kcoreaddons 6.19.0+p24.04+vunstable+git20251020.0119

=== debian/changelog ===
kf6-kcoreaddons (6.19.0+p24.04+vunstable+git20251020.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:20:04 +0000

=== debian/control ===
Source: kf6-kcoreaddons
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libclang-dev,
               libpyside6-dev,
               libpython3-dev,
               libshiboken6-dev,
               libudev-dev,
               llvm-dev,
               pkg-kde-tools-neon,
               pyside6-tools,
               python3-build,
               python3-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: http://projects.kde.org/kcoreaddons
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kcoreaddons.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kcoreaddons
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kcoreaddons
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: python3,
         python3-pyside6.qtcore,
         shared-mime-info (>= 1.3),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kf6-kcoreaddons-dev (<< 0.0+p22.04+tunstable+git20230515.0306-0)
Conflicts: kf6-kcoreaddons-dev (<< 0.0+p22.04+tunstable+git20230515.0306-0)
Replaces: libkf6coreaddons-data, libkf6coreaddons-doc, libkf6coreaddons6
Description: KDE Frameworks 6 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the arch independent files for KCoreAddons.

Package: kf6-kcoreaddons-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6coreaddons-dev, libkf6coreaddons-dev-bin
Description: KDE Frameworks 6 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for KCoreAddons.

Package: libkf6coreaddons-data
Architecture: all
Depends: kf6-kcoreaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6coreaddons-doc
Architecture: all
Depends: kf6-kcoreaddons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6coreaddons6
Architecture: all
Depends: kf6-kcoreaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6coreaddons-dev
Architecture: all
Depends: kf6-kcoreaddons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6coreaddons-dev-bin
Architecture: all
Depends: kf6-kcoreaddons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kcoreaddons 6.19.0+p24.04+vunstable+git20251021.0330

=== debian/changelog ===
kf6-kcoreaddons (6.19.0+p24.04+vunstable+git20251021.0330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:30:12 +0000

## kf6-kcoreaddons 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(KCoreAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0 NO_MODULE)
+find_package(ECM 6.20.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -31,7 +31,7 @@
 option(ENABLE_PCH "Enable precompile headers for faster builds" ON)
 option(KCOREADDONS_USE_QML "Build the QML plugin" ON)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)
 if (KCOREADDONS_USE_QML)
     find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Network)

=== debian/changelog ===
kf6-kcoreaddons (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:55 +0100

=== debian/control ===
Source: kf6-kcoreaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.20.0~),
               libudev-dev [linux-any],
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               shared-mime-info (>= 2.1~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kcoreaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcoreaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcoreaddons.git
Rules-Requires-Root: no

Package: libkf6coreaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE Frameworks 6 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the arch independent files for KCoreAddons.

Package: libkf6coreaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons6 (= ${binary:Version}),
         qml6-module-org-kde-coreaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6coreaddons-doc (= ${source:Version}),
Description: KDE Frameworks 6 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for KCoreAddons.

Package: libkf6coreaddons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE Frameworks 6 addons to QtCore (documentation)
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6coreaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-data (= ${source:Version}),
         shared-mime-info (>= 2.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Frameworks 6 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.

Package: qml6-module-org-kde-coreaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: KDE Frameworks 6 addons to QtCore (QML module)
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML module for kcoreaddons.

## kf6-kcoreaddons 6.20.0+p24.04+vunstable+git20251204.0111

=== debian/changelog ===
kf6-kcoreaddons (6.20.0+p24.04+vunstable+git20251204.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:11:29 +0000

kf6-kcoreaddons (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:51 +1000

## kf6-kcoreaddons 6.20.0+p24.04+vunstable+git20251206.0217

=== debian/changelog ===
kf6-kcoreaddons (6.20.0+p24.04+vunstable+git20251206.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 02:17:15 +0000
